## GpAppletInfo GpAppletInfo — the applet info |

## Functions

GType | (*GpGetAppletTypeFunc) ()
void | (*GpInitialSetupDialogFunc) ()
void | (*GpAboutDialogFunc) ()
GpAppletInfo * | gp_applet_info_new ()
void | gp_applet_info_set_initial_setup_dialog ()
void | gp_applet_info_set_help_uri ()
void | gp_applet_info_set_about_dialog ()
void | gp_applet_info_set_backends ()

## Types and Values

| GpAppletInfo

## Includes

    #include <libngome-panel/gp-module.h>

## Description

GpAppletInfo is used to provide full info about applet.

## Functions

### GpGetAppletTypeFunc ()

    GType
    (*GpGetAppletTypeFunc) (void);

Function for getting GType of applet.

#### Returns

the GType of applet.

### GpInitialSetupDialogFunc ()

    void
    (*GpInitialSetupDialogFunc) (GpInitialSetupDialog *dialog);

Function for setting up initial setup dialog.

#### Parameters

dialog | a GtkAboutDialog |

### GpAboutDialogFunc ()

    void
    (*GpAboutDialogFunc) (GtkAboutDialog *dialog);

Function for setting up about dialog.

#### Parameters

dialog | a GtkAboutDialog |

### gp_applet_info_new ()

    GpAppletInfo *
    gp_applet_info_new (GpGetAppletTypeFunc func,
                        const gchar *name,
                        const gchar *description,
                        const gchar *icon_name);

Creates a new GpAppletInfo.

#### Parameters

func | the function to call to get GType of this applet |
name | the name of this applet |
description | the description of this applet |
icon_name | the icon name for this applet |

#### Returns

a newly created GpAppletInfo.

[transfer full]

### gp_applet_info_set_initial_setup_dialog ()

    void
    gp_applet_info_set_initial_setup_dialog
                                   (GpAppletInfo *info,
                                    GpInitialSetupDialogFunc func);

Specifies a function to be used to setup initial setup dialog.

#### Parameters

info | a GpAppletInfo |
func | the function to call to setup initial setup dialog |

### gp_applet_info_set_help_uri ()

    void
    gp_applet_info_set_help_uri (GpAppletInfo *info,
                                 const gchar *help_uri);

Sets the help uri.

#### Parameters

info | a GpAppletInfo |
help_uri | the help uri |

### gp_applet_info_set_about_dialog ()

    void
    gp_applet_info_set_about_dialog (GpAppletInfo *info,
                                     GpAboutDialogFunc func);

Specifies a function to be used to setup about dialog.

#### Parameters

info | a GpAppletInfo |
func | the function to call to setup about dialog |

### gp_applet_info_set_backends ()

    void
    gp_applet_info_set_backends (GpAppletInfo *info,
                                 const gchar *backends);

Sets a list of backends that this applet supports.

#### Parameters

info | a GpAppletInfo |
backends | a comma-separated list of backends. | [nullable]

## Types and Values

### GpAppletInfo

    typedef struct _GpAppletInfo GpAppletInfo;

The GpAppletInfo struct is an opaque data structure.